%global extname    dash-to-panel
%global extdir     %{_datadir}/gnome-shell/extensions/%{extname}@jderose9.github.com
%global gschemadir %{_datadir}/glib-2.0/schemas

Name:           gnome-shell-extension-%{extname}
Version:        44
Release:        1%{?dist}
Summary:        An icon taskbar for GNOME Shell

License:        GPL-2.0-or-later
URL:            https://github.com/home-sweet-gnome/%{extname}
Source0:        https://github.com/home-sweet-gnome/%{extname}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  glib2
BuildRequires:  intltool
BuildRequires:  make

%patchlist
0001_make_global_install.patch

%description
An icon taskbar for the Gnome Shell. This extension moves the
dash into the gnome main panel so that the application launchers
and system tray are combined into a single panel, similar to that
found in KDE Plasma and Windows 7+.

%prep
%autosetup -n %{extname}-%{version} -p 1


%build
%make_build VERSION=%{version}


%install
%make_install
%find_lang %{extname}
%__rm %{buildroot}%{extdir}/{README.md,COPYING}

%files -f %{extname}.lang
%license COPYING
%doc README.md
%{extdir}
%{gschemadir}/*gschema.xml


%changelog
* Sun Aug 14 2022 Michael Rochefort <mroche@omenos.dev> - 44-1
- Build Dash to Panel for RHEL 9
